const path = require('path');
const mergejson = require('mergejson');
const read = require('read-data');
const writeData = require('write-data');

module.exports = async (semanticVersion, basePath, logger) => {
  const chartPath = path.join(basePath, 'Chart.yaml');
  const chart = read.sync(chartPath);

  const newVersion = {
    apiVersion: chart.apiVersion,
    appVersion: chart.appVersion,
    name: chart.name,
    description: chart.description,
    version: semanticVersion,
  };

  const newChart = mergejson(newVersion, chart);

  writeData.sync(chartPath, newChart);

  logger.log('Wrote version %s to %s', semanticVersion, chartPath);
};
